/*
*  qm_core.h
*  QUIMUP c class
*  © 2008-2024 Johan Spee
*  SPDX-License-Identifier: GPL-3.0-or-later
*/

///// See notes in qm_core.cpp

#ifndef QM_CORE_H
#define QM_CORE_H

#include <QMainWindow>
#include "qm_player.h"
#include "qm_config.h"

class qm_Core : public QMainWindow
{
    Q_OBJECT
public:
    qm_Core(qm_Config *);
    virtual ~qm_Core();

public slots:
    void on_message_from_main(QString);
    void on_system_quit();

private:
    qm_Player *player;
    qm_Config *config;
};

#endif // QM_CORE_H
